Rated 5 out of 5 stars

Override maxversion compatibility DON'T work.
So use this unofficial update, I personaly checked the code and is clean, I can say it's a "SubmitToTab Lite".

Update by Hendrik Lipka for firefox 3.6.x:
http://hendriklipka.de/software/mozilla/submittotab-0.3.5.1-hli.xpi